Name:           flumotion
Version:        0.1.0
Release:        1.2
Summary:        Flumotion - the Fluendo Streaming Server.

Group:          Applications/Internet
License:	GPL
URL:            http://www.fluendo.com/
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:	python >= 2.3
Requires:	gstreamer >= 0.8.5
Requires:	gstreamer-python >= 0.7.93
Requires:	python-twisted >= 1.3.0
Requires:	pygtk2 >= 2.4.0
Requires:	python-imaging

Requires(post):	openssl

BuildRequires:	gstreamer-devel >= 0.8.5
BuildRequires:	python >= 2.3
BuildRequires:	pygtk2-devel >= 2.4.0
BuildRequires:	epydoc
BuildRequires:  python-devel
BuildRequires:	python-twisted

BuildRequires:  gcc-c++

BuildArch:	noarch

%description
Fluendo Streaming Server.

%prep
%setup -q

%build
%configure

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/flumotion/managers/default/flows
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/flumotion/workers

# install service files
install -d $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m 755 \
	doc/redhat/init.d/flu-manager \
	$RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m 755 \
	doc/redhat/init.d/flu-worker \
	$RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d

install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 644 \
	doc/redhat/sysconfig/flumotion-manager \
	$RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 644 \
	doc/redhat/sysconfig/flumotion-worker \
	$RPM_BUILD_ROOT%{_sysconfdir}/sysconfig

# create a .flumotion in the new home
# FIXME: needs to be done more gracefully

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/flumotion/.flumotion

# create log directory
install -d $RPM_BUILD_ROOT%{_localstatedir}/log/flumotion

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/useradd -s /sbin/nologin -r -d %{_datadir}/flumotion -M -r flumotion > /dev/null 2> /dev/null
exit 0

%post
# generate a default .pem certificate ?
if ! test -e %{_sysconfdir}/flumotion/managers/default/default.pem
then
  bash %{_datadir}/ssl/certs/make-dummy-cert %{_sysconfdir}/flumotion/managers/default/default.pem
  chown :flumotion %{_sysconfdir}/flumotion/managers/default/default.pem
  chmod 640 %{_sysconfdir}/flumotion/managers/default/default.pem
fi

# this is going to break when the admin decides to rename planets
# this creates a user/test login account
if ! test -e %{_sysconfdir}/flumotion/managers/default/planet.xml
then
  cat > %{_sysconfdir}/flumotion/managers/default/planet.xml <<EOF
<planet>
 
  <manager>
    <component name="manager-bouncer" type="htpasswdcrypt">
      <data><![CDATA[
user:PSfNpHTkpTx1M
]]></data>
    </component>
  </manager>
 
</planet>
EOF

fi

%preun
# if removal and not upgrade, stop the processes
if [ $1 -eq 1 ]
then
  service flu-manager stop > /dev/null
  service flu-worker stop > /dev/null
fi

%postun
# if removal and not upgrade, clean up user and config
if [ $1 -eq 0 ]
then
  /usr/sbin/userdel flumotion

  rm -rf %{_sysconfdir}/flumotion/*
  rm -rf %{_localstatdir}/lock/flumotion*
  rm -rf %{_localstatdir}/run/flumotion*
fi

# Think about this first, we don't really want to stop everything
#%post
#service flu-manager condrestart
#service flu-worker condrestart

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README AUTHORS
%doc doc/reference/html
%doc conf
%{_bindir}/flumotion-manager
%{_bindir}/flumotion-worker
%{_bindir}/flumotion-admin
%{_bindir}/flumotion-tester
%{_libdir}/flumotion
%{_datadir}/flumotion
%dir %attr(750,flumotion,root) %{_datadir}/flumotion/.flumotion
%attr(750,flumotion,root) %{_sysconfdir}/flumotion
%attr(750,flumotion,root) %{_localstatedir}/log/flumotion
%{_sysconfdir}/rc.d/init.d/flu-manager
%{_sysconfdir}/rc.d/init.d/flu-worker
%config(noreplace) %{_sysconfdir}/sysconfig/flumotion-manager
%config(noreplace) %{_sysconfdir}/sysconfig/flumotion-worker

%changelog
* Mon Jun 07 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- first package
